* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
}

body {
  font-family: "Montserrat", sans-serif;
}

.hero {
  position: relative;
  min-height: 100dvh;

  display: flex;
  flex-direction: column;

  background-image:
    linear-gradient(129.02deg, #ffffff 10.72%, rgba(255, 255, 255, 0) 61.21%),
    url("./assets/hero-1920.jpg");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.header {
  padding: 40px 184px 0;
}

.logo {
  width: 230px;
  height: 40px;
}

.hero-content {
  padding-left: 184px;
  max-width: 880px;
}

.title {
  font-size: 64px;
  line-height: 71px;
  font-weight: 600;
  color: #333333;
  margin-bottom: 24px;
}

.title span {
  color: #1675a0;
}

.description-container {
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-bottom: 24px;
  max-width: 465px;
}

.description {
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  color: #050e13;
}

.contacts {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-width: 477px;
}

.contact {
  display: flex;
  align-items: center;
  gap: 16px;
  width: 277px;
  padding: 15px;

  border-radius: 12px;
  border: 1px solid rgba(255, 255, 255, 0.6);

  background: rgba(255, 255, 255, 0.25);

  backdrop-filter: blur(18px);
  -webkit-backdrop-filter: blur(18px);

  box-shadow: 0px 6px 12px rgba(51, 51, 51, 0.06);

  text-decoration: none;
}

.contact-icon {
  width: 24px;
  height: 24px;
}

.contact-text {
  color: #050e13;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-decoration: none;
}

.gap {
  flex: 1;
}

.copyright {
  padding: 16px 184px;

  font-size: 12px;
  line-height: 16px;
  font-weight: 400;
  color: #050e13;
}

@media (min-width: 1440px) and (max-width: 1919px) {
  .hero {
    background-image:
      linear-gradient(129.02deg, #ffffff 10.72%, rgba(255, 255, 255, 0) 61.21%),
      url("./assets/hero-1440.jpg");
  }

  .header {
    padding: 40px 88px 0;
  }

  .hero-content {
    padding: 0 88px;
  }

  .copyright {
    padding: 16px 88px;
  }
}

@media (min-width: 768px) and (max-width: 1439px) {
  .hero {
    background-image:
      linear-gradient(177.42deg, #ffffff 13.37%, rgba(255, 255, 255, 0) 73.13%),
      url("./assets/hero-768.jpg");
  }

  .header {
    padding: 40px 40px 0;
  }

  .hero-content {
    padding: 0 40px;
  }

  .copyright {
    padding: 16px 40px;
  }

  .gap-4 {
    flex: 4;
  }
}

@media (max-width: 767px) {
  .hero {
    background-image:
      linear-gradient(175.79deg, #ffffff 30.45%, rgba(255, 255, 255, 0) 72.53%),
      url("./assets/hero-390.jpg");

    display: flex;
    flex-direction: column;
  }

  .header {
    padding: 24px 24px 0;
  }

  .hero-content {
    padding: 0 24px;
  }

  .title {
    font-size: 32px;
    line-height: 40px;
    color: #333333;
    margin-bottom: 16px;
    text-align: center;
  }

  .description-container {
    margin-bottom: 16px;
    max-width: 100%;
  }

  .description {
    text-align: center;
  }

  .contacts {
    gap: 8px;
    max-width: 100%;
    align-items: center;
  }

  .contact {
    justify-content: center;
    width: auto;
    width: 342px;
  }

  .copyright {
    padding: 16px 24px;
    text-align: center;
    color: #ffffff;
  }

  .gap-5 {
    flex: 5;
  }
}
